2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.9

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.8

2010-07-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_searchb): fix description
	
2010-07-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_char): fix description
	
2010-07-08  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_fixed): Use go_format_details_new and
	_free.

2010-07-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_upper): fix argument mark-up

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 1.10.7

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.6

2010-06-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: remove superfluous spaces, inconsitent periods, etc.

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.5

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.10.4

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.10.3

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.2

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 1.10.1

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 1.10.0

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.9.18

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.17

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.9.16

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 1.9.15

2009-10-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_numbervalue): new
	(gnumeric_numbervalue): new
	(string_functions): add NUMBERVALUE
	* plugin.xml.in: add NUMBERVALUE

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 1.9.14

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.13

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 1.9.12

2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 1.9.11

2009-08-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_searchb): new
	(gnumeric_searchb): new
	(string_functions): add SEARCHB
	* plugin.xml.in: add SEARCHB

2009-08-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_replaceb): new
	(gnumeric_replaceb): new
	(string_functions): add REPLACEB
	* plugin.xml.in: add REPLACEB

2009-08-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_findb): new
	(gnumeric_findb): new
	(string_functions): add FINDB
	* plugin.xml.in: add FINDB

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.10

2009-08-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_concatenate): fix argument descriptions

2009-08-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_len*): make desription consitent
	(help_mid): ditto
	(help_leftb): add argument description
	(help_midb): ditto
	(help_right*): ditto

2009-07-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_*): use language independent strings

2009-07-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_*): change to new type of description

2009-06-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_leftb): add warning
	(help_midb): add warning
	(help_rightb): add warning

2009-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugin.xml.in: new JIS
	* functions.c: new JIS function

2009-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugin.xml.in: new LEFTB, MIDB, RIGHTB
	* functions.c: new LEFTB, MIDB, RIGHTB functions
	(help_asc): update
	(gnm_asc_half): new
	(gnumeric_asc): implement

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.9

2009-06-15  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_fixed): Fix sense of last argument.

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.9.8

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_char): Fix the description of CHAR and CODE.

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.9.7

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 1.9.6

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.5

2009-03-17  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_text): Handle failing
	go_format_str_delocalize.

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.4

2008-10-18  Jody Goldberg <jody@gnome.org>

	* Release 1.9.3

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.9.2

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 1.9.1

2008-06-23  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_code): Plug leak.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 1.9.0

2007-12-21  Jody Goldberg <jody@gnome.org>

	* Release 1.8.0

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 1.7.91

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 1.7.90

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.14

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.13

2007-09-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.12

2007-07-24  Jody Goldberg <jody@gnome.org>

	* Release 1.7.11

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 1.7.10

2007-04-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.9

2007-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.8

2007-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.7.7

2007-01-24  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_fixed): Avoid using gnm_render_number.

2007-01-03  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_dollar): Build XL format by hand.  We
	don't need the colour and we don't want the spacing.

2006-12-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.6

2006-12-15  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_text): Handle empty.

2006-12-14  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_text): Handle errors from formatting.

2006-12-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.5

2006-11-20  Jody Goldberg <jody@gnome.org>

	* Release 1.7.4

2006-11-19  Morten Welinder <terra@gnome.org>

	* Release 1.7.3

2006-10-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.2

2006-10-02  Jody Goldberg <jody@gnome.org>

	* Release 1.7.1

2006-05-08  Jody Goldberg <jody@gnome.org>

	* Release 1.7.0

2006-03-10  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_search): Plug leak.

2006-01-20  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_mid): Fix handling of out-of-bounds
	segments.
	(gnumeric_trim): Fix the fix.

2006-01-09  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_fixed): Use value_get_as_checked_bool.

2006-01-06  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_char): Plug leak.  Handle crazy input
	values.
	(gnumeric_unichar): Handle crazy input values.
	(gnumeric_left, gnumeric_right, gnumeric_mid): Handle crazy values
	for length.
	(gnumeric_rept): Handle crazy values for count.  Speed up.  Handle
	out-of-memory gracefully.
	(gnumeric_find): Handle crazy values for start.
	(gnumeric_replace, gnumeric_search): Make UTF-8 safe and fix a
	pile of other bugs.
	(gnumeric_fixed): Fix division-by-zero problem.  Handle crazy
	decimals count.
	(gnumeric_substitute): Don't access freed memory.  Always make
	sure to return a string result.  Handle crazy values for num.

2005-12-04  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_trim): Fix bogosity.

2005-11-14  Jody Goldberg <jody@gnome.org>

	* Release 1.6.1

2005-10-10  Jody Goldberg <jody@gnome.org>

	* Release 1.6.0

2005-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.90

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.5

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.4

2005-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.5.3

2005-06-13  Jody Goldberg <jody@gnome.org>

	* Release 1.5.2

2005-05-10  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_asc) : quick stub

2005-05-10  Jody Goldberg <jody@gnome.org>

	* Release 1.5.1

2005-02-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.0

2005-02-02  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_substitute): Fix infinite loop and check
	fourth argument.

2005-01-17  Jody Goldberg <jody@gnome.org>

	* Release 1.4.2

2004-12-09  Jody Goldberg <jody@gnome.org>

	* Release 1.4.1

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 1.4.0

2004-11-07  Jody Goldberg <jody@gnome.org>

	* Release 1.3.93

2004-10-31  Jody Goldberg <jody@gnome.org>

	* Release 1.3.92

2004-10-05  Jody Goldberg <jody@gnome.org>

	* Release 1.3.91

2004-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.3.90

2004-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.3.2

2004-08-19  Jon K Hellan  <hellan@acm.org>

	* functions.c: Xref FIXED, TEXT, VALUE and DOLLAR

2004-07-19  Jody Goldberg <jody@gnome.org>

	* Release 1.3.1

2004-06-23  Jean Brefort  <jean.brefort@ac-dijon.fr>

	* plugins/fn-string/functions.c: (gnumeric_search): replaced gnumeric_reg* by go_reg*

2004-03-28  Jody Goldberg <jody@gnome.org>

	* Release 1.3.0

2004-01-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=130172
	* functions.c (gnumeric_text) : improve compatiblity.

2003-12-23  Jody Goldberg <jody@gnome.org>

	* Release 1.2.3

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 1.2.2

2003-11-20  Jody Goldberg <jody@gnome.org>

	* functions.c : add lenb

2003-10-08  Jody Goldberg <jody@gnome.org>

	* Release 1.2.1

2003-10-02  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_dollar): Spring cleaning.

2003-09-15  Jody Goldberg <jody@gnome.org>

	* Release 1.2.0

2003-09-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.90

2003-08-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.20

2003-07-15  Jody Goldberg <jody@gnome.org>

	* functions.c (help_unichar) : Use a simpler example

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.19

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.18

2003-05-11  Jody Goldberg <jody@gnome.org>

	* Release 1.1.17

2003-01-28  Jody Goldberg <jody@gnome.org>

	* Release 1.1.16

2002-12-31  Jody Goldberg <jody@gnome.org>

	* Release 1.1.15

2002-12-31  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_unichar, gnumeric_unicode): New functions.

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.14

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.13

2002-12-06  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_search) : Use gnumeric_regcomp_XL.
	(search_pattern_to_regexp) : move from here to the core and turn it
	  into gnumeric_regcomp_XL.

2002-11-15  Jody Goldberg <jody@gnome.org>

	* Release 1.1.12

2002-11-14  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_search): De-borkify.

2002-11-12  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_search): New UTF-8 safe implementation
	using regexps.

2002-11-11  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_substitute): Welcome to the 21th century.

2002-11-08  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_char): Attempt a fix for 0x80-0xff.
	(gnumeric_code): Mostly make UTF-8 safe.

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 1.1.11

2002-10-27  Jody Goldberg <jody@gnome.org>

	* Release 1.1.10

2002-10-18  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_search): Use g_utf8_strdown, not
	g_strdown.

2002-09-30  Jody Goldberg <jody@gnome.org>

	* Release 1.1.9

2002-08-30  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_text): Avoid copying string.

2002-08-25  Jody Goldberg <jody@gnome.org>

	* Release 1.1.8

2002-08-12  Jody Goldberg <jody@gnome.org>

	* Release 1.1.7

2002-07-22  Zbigniew Chyla  <cyba@gnome.pl>

	* plugin.xml.in: Set loader type to "Gnumeric_Builtin:module".

2002-07-27  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* functions.c: Function description clean up.

2002-07-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.6

2002-05-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.4

2002-05-10  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_dollar): Try to make this sane.

2002-05-10  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_mid): Fix error codes.  Speed up.  Avoid
	unnecessary memory allocation.
	(gnumeric_right): Ditto.  Also plug leak.
	(gnumeric_upper): Ditto.
	(gnumeric_clean): Ditto.  Also plug leak.
	(gnumeric_rept): Ditto.
	(gnumeric_trim): Ditto.  Also plug leak.
	(gnumeric_value): Ditto.
	(gnumeric_clean): Use strlen here, not g_utf8_strlen.
	(gnumeric_rept): Undo UTF-8 work.  The original was UTF-8 safe.
	(gnumeric_left): Make UTF-8 safe.

2002-05-09  Almer S. Tigelaar  <almer@gnome.org>

	* functions.c (gnumeric_exact) : Port to UTF-8.
	(gnumeric_lower) : Idem.
	(gnumeric_mid) : Idem and fix segfault that would
	occur when specifying a bigger offset then the
	string length.
	(gnumeric_left): Protect against negatives.
	(gnumeric_right): Idem and port to UTF-8.
	(gnumeric_upper): Port to UTF-8.
	(gnumeric_rept): Idem.
	(gnumeric_clean): Idem.
	(gnumeric_find): Idem.
	(gnumeric_proper): Idem.
	(gnumeric_replace): Idem and kill unused variable.
	(gnumeric_trim): Port to UTF-8.
	(gnumeric_value): Idem.

2002-05-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : mark argument names for translation and adjust
	  them for use by the formula guru.

2002-04-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.3

2002-04-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c (gnumeric_len) : port to UTF-8
	(gnumeric_left) : ditto
	(gnumeric_concatenate) : use string_range_function and
	  range_concatenate
